org.apache.commons.jexl3

## Interface JexlEngine.Options

- Enclosing class:
    JexlEngine

  Deprecated.
  3.2

      @Deprecated
      public static interface JexlEngine.Options

  Script evaluation options.

  The JexlContext used for evaluation can implement this interface to alter behavior.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `MathContext` | `getArithmeticMathContext()` Deprecated. The MathContext instance used for +,-,/,*,% operations on big decimals.
    `int` | `getArithmeticMathScale()` Deprecated. The BigDecimal scale used for comparison and coercion operations.
    `Charset` | `getCharset()` Deprecated. The charset used for parsing.
    `Boolean` | `isCancellable()` Deprecated. Whether evaluation will throw JexlException.Cancel (true) or return null (false) when interrupted.
    `Boolean` | `isSilent()` Deprecated. Sets whether the engine will throw a `JexlException` when an error is encountered during evaluation.
    `Boolean` | `isStrict()` Deprecated. Checks whether the engine considers unknown variables, methods, functions and constructors as errors or evaluates them as null.
    `Boolean` | `isStrictArithmetic()` Deprecated. Checks whether the arithmetic triggers errors during evaluation when null is used as an operand.

- - ### Method Detail

    - #### getCharset

          Charset getCharset()

      Deprecated.
      The charset used for parsing.
      Returns:
        the charset

    - #### isSilent

          Boolean isSilent()

      Deprecated.
      Sets whether the engine will throw a `JexlException` when an error is encountered during evaluation.
      Returns:
        true if silent, false otherwise

    - #### isStrict

          Boolean isStrict()

      Deprecated.
      Checks whether the engine considers unknown variables, methods, functions and constructors as errors or evaluates them as null.
      Returns:
        true if strict, false otherwise

    - #### isStrictArithmetic

          Boolean isStrictArithmetic()

      Deprecated.
      Checks whether the arithmetic triggers errors during evaluation when null is used as an operand.
      Returns:
        true if strict, false otherwise

    - #### isCancellable

          Boolean isCancellable()

      Deprecated.
      Whether evaluation will throw JexlException.Cancel (true) or return null (false) when interrupted.
      Returns:
        true when cancellable, false otherwise
      Since:
        3.1

    - #### getArithmeticMathContext

          MathContext getArithmeticMathContext()

      Deprecated.
      The MathContext instance used for +,-,/,*,% operations on big decimals.
      Returns:
        the math context

    - #### getArithmeticMathScale

          int getArithmeticMathScale()

      Deprecated.
      The BigDecimal scale used for comparison and coercion operations.
      Returns:
        the scale

Copyright © 2001–2022 The Apache Software Foundation. All rights reserved.